[-]
[+]
|
Changed |
lfc.changes
|
|
[-]
[+]
|
Changed |
lfc.spec
^
|
|
[-]
[+]
|
Deleted |
lfc-1.1.41.tar.bz2/Makefile
^
|
@@ -1,51 +0,0 @@
-################################################################################
-#
-# makefile.in
-# -----------
-# generic makefile for building base classes
-# this file is used as input for configure
-#
-# by Bjoern Lemke, (C)opyright 2002,2003 by Bjoern Lemke
-#
-#
-################################################################################
-
-CC = gcc
-LIBS = -lpthread -lcurses -lreadline -lpthread -lncurses
-DEFS = -DPACKAGE_NAME=\"FULL-PACKAGE-NAME\" -DPACKAGE_TARNAME=\"full-package-name\" -DPACKAGE_VERSION=\"VERSION\" -DPACKAGE_STRING=\"FULL-PACKAGE-NAME\ VERSION\" -DPACKAGE_BUGREPORT=\"BUG-REPORT-ADDRESS\" -DHAVE_LIBNCURSES=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBREADLINE=1 -DHAVE_LIBCURSES=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_UNION_SEMUN=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MACH_TIMEBASE_INFO=1
-LDFLAGS = -m64
-CFLAGS = -O2 -m64
-
-INSTALL = /usr/bin/install -c
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_DATA = ${INSTALL} -m 644
-
-# Common prefix for installation directories
-PREFIX = /Users/lemke
-BINPREFIX = $(PREFIX)/bin
-MANPREFIX = $(PREFIX)/man
-
-# CFLAGS= -g -I./ -fexternal-templates
-# CFLAGS= -g -I./
-
-# for Mac OS X
-# CFLAGS= -O3 -I./ -Wno-deprecated
-# for FreeBSd
-# CFLAGS= -DFREEBSD -O3 -I./ -Wno-deprecated
-
-all:
- ( cd src; make all )
-
-sample:
- ( cd samples; make all )
-
-clean:
- ( cd src; make clean)
- ( cd samples; make clean)
-
-distclean: clean
- ( cd src; rm Makefile )
- ( rm config.log config.status Makefile )
-
-install:
- ( cd src; make install)
|
[-]
[+]
|
Deleted |
lfc-1.1.41.tar.bz2/config.log
^
|
@@ -1,956 +0,0 @@
-This file contains any messages produced by compilers while
-running configure, to aid debugging if configure makes a mistake.
-
-It was created by FULL-PACKAGE-NAME configure VERSION, which was
-generated by GNU Autoconf 2.61. Invocation command line was
-
- $ ./configure --prefix=/Users/lemke CFLAGS=-O2 -m64 LDFLAGS=-m64
-
-## --------- ##
-## Platform. ##
-## --------- ##
-
-hostname = dude.local
-uname -m = i386
-uname -r = 9.8.0
-uname -s = Darwin
-uname -v = Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386
-
-/usr/bin/uname -p = i386
-/bin/uname -X = unknown
-
-/bin/arch = unknown
-/usr/bin/arch -k = unknown
-/usr/convex/getsysinfo = unknown
-/usr/bin/hostinfo = Mach kernel version:
- Darwin Kernel Version 9.8.0: Wed Jul 15 16:55:01 PDT 2009; root:xnu-1228.15.4~1/RELEASE_I386
-Kernel configured for up to 2 processors.
-2 processors are physically available.
-2 processors are logically available.
-Processor type: i486 (Intel 80486)
-Processors active: 0 1
-Primary memory available: 2.00 gigabytes
-Default processor set: 72 tasks, 356 threads, 2 processors
-Load average: 0.47, Mach factor: 1.52
-/bin/machine = unknown
-/usr/bin/oslevel = unknown
-/bin/universe = unknown
-
-PATH: /usr/bin
-PATH: /bin
-PATH: /usr/sbin
-PATH: /sbin
-PATH: /usr/local/bin
-PATH: /usr/X11/bin
-PATH: /usr/X11/bin
-PATH: /Users/lemke/bin
-
-
-## ----------- ##
-## Core tests. ##
-## ----------- ##
-
-configure:1774: checking for g++
-configure:1790: found /usr/bin/g++
-configure:1801: result: g++
-configure:1832: checking for C++ compiler version
-configure:1839: g++ --version >&5
-i686-apple-darwin9-g++-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5490)
-Copyright (C) 2005 Free Software Foundation, Inc.
-This is free software; see the source for copying conditions. There is NO
-warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-configure:1842: $? = 0
-configure:1849: g++ -v >&5
-Using built-in specs.
-Target: i686-apple-darwin9
-Configured with: /var/tmp/gcc/gcc-5490~1/src/configure --disable-checking -enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.0/ --with-gxx-include-dir=/include/c++/4.0.0 --with-slibdir=/usr/lib --build=i686-apple-darwin9 --with-arch=apple --with-tune=generic --host=i686-apple-darwin9 --target=i686-apple-darwin9
-Thread model: posix
-gcc version 4.0.1 (Apple Inc. build 5490)
-configure:1852: $? = 0
-configure:1859: g++ -V >&5
-g++-4.0: argument to `-V' is missing
-configure:1862: $? = 1
-configure:1885: checking for C++ compiler default output file name
-configure:1912: g++ -m64 conftest.cpp >&5
-configure:1915: $? = 0
-configure:1953: result: a.out
-configure:1970: checking whether the C++ compiler works
-configure:1980: ./a.out
-configure:1983: $? = 0
-configure:2000: result: yes
-configure:2007: checking whether we are cross compiling
-configure:2009: result: no
-configure:2012: checking for suffix of executables
-configure:2019: g++ -o conftest -m64 conftest.cpp >&5
-configure:2022: $? = 0
-configure:2046: result:
-configure:2052: checking for suffix of object files
-configure:2078: g++ -c conftest.cpp >&5
-configure:2081: $? = 0
-configure:2104: result: o
-configure:2108: checking whether we are using the GNU C++ compiler
-configure:2137: g++ -c conftest.cpp >&5
-configure:2143: $? = 0
-configure:2160: result: yes
-configure:2165: checking whether g++ accepts -g
-configure:2195: g++ -c -g conftest.cpp >&5
-configure:2201: $? = 0
-configure:2300: result: yes
-configure:2371: checking for gcc
-configure:2387: found /usr/bin/gcc
-configure:2398: result: gcc
-configure:2636: checking for C compiler version
-configure:2643: gcc --version >&5
-i686-apple-darwin9-gcc-4.0.1 (GCC) 4.0.1 (Apple Inc. build 5490)
-Copyright (C) 2005 Free Software Foundation, Inc.
-This is free software; see the source for copying conditions. There is NO
-warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
-
-configure:2646: $? = 0
-configure:2653: gcc -v >&5
-Using built-in specs.
-Target: i686-apple-darwin9
-Configured with: /var/tmp/gcc/gcc-5490~1/src/configure --disable-checking -enable-werror --prefix=/usr --mandir=/share/man --enable-languages=c,objc,c++,obj-c++ --program-transform-name=/^[cg][^.-]*$/s/$/-4.0/ --with-gxx-include-dir=/include/c++/4.0.0 --with-slibdir=/usr/lib --build=i686-apple-darwin9 --with-arch=apple --with-tune=generic --host=i686-apple-darwin9 --target=i686-apple-darwin9
-Thread model: posix
-gcc version 4.0.1 (Apple Inc. build 5490)
-configure:2656: $? = 0
-configure:2663: gcc -V >&5
-gcc-4.0: argument to `-V' is missing
-configure:2666: $? = 1
-configure:2669: checking whether we are using the GNU C compiler
-configure:2698: gcc -c -O2 -m64 conftest.c >&5
-configure:2704: $? = 0
-configure:2721: result: yes
-configure:2726: checking whether gcc accepts -g
-configure:2756: gcc -c -g conftest.c >&5
-configure:2762: $? = 0
-configure:2861: result: yes
-configure:2878: checking for gcc option to accept ISO C89
-configure:2952: gcc -c -O2 -m64 conftest.c >&5
-configure:2958: $? = 0
-configure:2981: result: none needed
-configure:3042: checking for ranlib
-configure:3058: found /usr/bin/ranlib
-configure:3069: result: ranlib
-configure:3139: checking for a BSD-compatible install
-configure:3195: result: /usr/bin/install -c
-configure:3249: checking for ranlib
-configure:3276: result: ranlib
-configure:3310: checking build system type
-configure:3328: result: i686-apple-darwin9.8.0
-configure:3350: checking host system type
-configure:3365: result: i686-apple-darwin9.8.0
-configure:3436: checking whether C compiler accepts -mt
-configure:3465: gcc -c -mt conftest.c >&5
-cc1: error: invalid option 't'
-configure:3471: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| /* end confdefs.h. */
-|
-| int
-| main ()
-| {
-|
-| ;
-| return 0;
-| }
-configure:3489: result: no
-configure:3501: checking for main in -lhistory
-configure:3530: gcc -o conftest -O2 -m64 -m64 conftest.c -lhistory >&5
-ld: library not found for -lhistory
-collect2: ld returned 1 exit status
-configure:3536: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:3554: result: no
-configure:3567: checking for main in -lncurses
-configure:3596: gcc -o conftest -O2 -m64 -m64 conftest.c -lncurses >&5
-configure:3602: $? = 0
-configure:3620: result: yes
-configure:3633: checking for main in -lpthread
-configure:3662: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lncurses >&5
-configure:3668: $? = 0
-configure:3686: result: yes
-configure:3699: checking for main in -lreadline
-configure:3728: gcc -o conftest -O2 -m64 -m64 conftest.c -lreadline -lpthread -lncurses >&5
-configure:3734: $? = 0
-configure:3752: result: yes
-configure:3765: checking for main in -lnsl
-configure:3794: gcc -o conftest -O2 -m64 -m64 conftest.c -lnsl -lreadline -lpthread -lncurses >&5
-ld: library not found for -lnsl
-collect2: ld returned 1 exit status
-configure:3800: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:3818: result: no
-configure:3831: checking for main in -lsocket
-configure:3860: gcc -o conftest -O2 -m64 -m64 conftest.c -lsocket -lreadline -lpthread -lncurses >&5
-ld: library not found for -lsocket
-collect2: ld returned 1 exit status
-configure:3866: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:3884: result: no
-configure:3896: checking for main in -lcurses
-configure:3925: gcc -o conftest -O2 -m64 -m64 conftest.c -lcurses -lreadline -lpthread -lncurses >&5
-configure:3931: $? = 0
-configure:3949: result: yes
-configure:3961: checking for main in -lpthread
-configure:4014: result: yes
-configure:4026: checking for main in -lrt
-configure:4055: gcc -o conftest -O2 -m64 -m64 conftest.c -lrt -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-ld: library not found for -lrt
-collect2: ld returned 1 exit status
-configure:4061: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:4079: result: no
-configure:4091: checking for main in -lcrypt
-configure:4120: gcc -o conftest -O2 -m64 -m64 conftest.c -lcrypt -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-ld: library not found for -lcrypt
-collect2: ld returned 1 exit status
-configure:4126: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:4144: result: no
-configure:4156: checking for main in -lws2_32
-configure:4185: gcc -o conftest -O2 -m64 -m64 conftest.c -lws2_32 -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-ld: library not found for -lws2_32
-collect2: ld returned 1 exit status
-configure:4191: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| /* end confdefs.h. */
-|
-|
-| int
-| main ()
-| {
-| return main ();
-| ;
-| return 0;
-| }
-configure:4209: result: no
-configure:4264: checking for ar
-configure:4280: found /usr/bin/ar
-configure:4291: result: ar
-configure:4324: checking how to run the C preprocessor
-configure:4364: gcc -E conftest.c
-configure:4370: $? = 0
-configure:4401: gcc -E conftest.c
-conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
-configure:4407: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| /* end confdefs.h. */
-| #include <ac_nonexistent.h>
-configure:4440: result: gcc -E
-configure:4469: gcc -E conftest.c
-configure:4475: $? = 0
-configure:4506: gcc -E conftest.c
-conftest.c:13:28: error: ac_nonexistent.h: No such file or directory
-configure:4512: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| /* end confdefs.h. */
-| #include <ac_nonexistent.h>
-configure:4550: checking for grep that handles long lines and -e
-configure:4624: result: /usr/bin/grep
-configure:4629: checking for egrep
-configure:4707: result: /usr/bin/grep -E
-configure:4712: checking for ANSI C header files
-configure:4742: gcc -c -O2 -m64 conftest.c >&5
-configure:4748: $? = 0
-configure:4847: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-configure:4850: $? = 0
-configure:4856: ./conftest
-configure:4859: $? = 0
-configure:4876: result: yes
-configure:4900: checking for sys/types.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for sys/stat.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for stdlib.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for string.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for memory.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for strings.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for inttypes.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for stdint.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4900: checking for unistd.h
-configure:4921: gcc -c -O2 -m64 conftest.c >&5
-configure:4927: $? = 0
-configure:4943: result: yes
-configure:4975: checking fcntl.h usability
-configure:4992: gcc -c -O2 -m64 conftest.c >&5
-configure:4998: $? = 0
-configure:5012: result: yes
-configure:5016: checking fcntl.h presence
-configure:5031: gcc -E conftest.c
-configure:5037: $? = 0
-configure:5051: result: yes
-configure:5084: checking for fcntl.h
-configure:5092: result: yes
-configure:4965: checking for stdlib.h
-configure:4971: result: yes
-configure:4965: checking for string.h
-configure:4971: result: yes
-configure:4975: checking sys/time.h usability
-configure:4992: gcc -c -O2 -m64 conftest.c >&5
-configure:4998: $? = 0
-configure:5012: result: yes
-configure:5016: checking sys/time.h presence
-configure:5031: gcc -E conftest.c
-configure:5037: $? = 0
-configure:5051: result: yes
-configure:5084: checking for sys/time.h
-configure:5092: result: yes
-configure:4965: checking for unistd.h
-configure:4971: result: yes
-configure:4975: checking crypt.h usability
-configure:4992: gcc -c -O2 -m64 conftest.c >&5
-conftest.c:61:19: error: crypt.h: No such file or directory
-configure:4998: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define STDC_HEADERS 1
-| #define HAVE_SYS_TYPES_H 1
-| #define HAVE_SYS_STAT_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_MEMORY_H 1
-| #define HAVE_STRINGS_H 1
-| #define HAVE_INTTYPES_H 1
-| #define HAVE_STDINT_H 1
-| #define HAVE_UNISTD_H 1
-| #define HAVE_FCNTL_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_SYS_TIME_H 1
-| #define HAVE_UNISTD_H 1
-| /* end confdefs.h. */
-| #include <stdio.h>
-| #ifdef HAVE_SYS_TYPES_H
-| # include <sys/types.h>
-| #endif
-| #ifdef HAVE_SYS_STAT_H
-| # include <sys/stat.h>
-| #endif
-| #ifdef STDC_HEADERS
-| # include <stdlib.h>
-| # include <stddef.h>
-| #else
-| # ifdef HAVE_STDLIB_H
-| # include <stdlib.h>
-| # endif
-| #endif
-| #ifdef HAVE_STRING_H
-| # if !defined STDC_HEADERS && defined HAVE_MEMORY_H
-| # include <memory.h>
-| # endif
-| # include <string.h>
-| #endif
-| #ifdef HAVE_STRINGS_H
-| # include <strings.h>
-| #endif
-| #ifdef HAVE_INTTYPES_H
-| # include <inttypes.h>
-| #endif
-| #ifdef HAVE_STDINT_H
-| # include <stdint.h>
-| #endif
-| #ifdef HAVE_UNISTD_H
-| # include <unistd.h>
-| #endif
-| #include <crypt.h>
-configure:5012: result: no
-configure:5016: checking crypt.h presence
-configure:5031: gcc -E conftest.c
-conftest.c:28:19: error: crypt.h: No such file or directory
-configure:5037: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define STDC_HEADERS 1
-| #define HAVE_SYS_TYPES_H 1
-| #define HAVE_SYS_STAT_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_MEMORY_H 1
-| #define HAVE_STRINGS_H 1
-| #define HAVE_INTTYPES_H 1
-| #define HAVE_STDINT_H 1
-| #define HAVE_UNISTD_H 1
-| #define HAVE_FCNTL_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_SYS_TIME_H 1
-| #define HAVE_UNISTD_H 1
-| /* end confdefs.h. */
-| #include <crypt.h>
-configure:5051: result: no
-configure:5084: checking for crypt.h
-configure:5092: result: no
-configure:5107: checking for an ANSI C-conforming const
-configure:5182: gcc -c -O2 -m64 conftest.c >&5
-configure:5188: $? = 0
-configure:5203: result: yes
-configure:5213: checking whether time.h and sys/time.h may both be included
-configure:5243: gcc -c -O2 -m64 conftest.c >&5
-configure:5249: $? = 0
-configure:5264: result: yes
-configure:5275: checking for union semun
-configure:5300: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-configure:5306: $? = 0
-configure:5315: result: yes
-configure:5334: checking for stdlib.h
-configure:5340: result: yes
-configure:5474: checking for GNU libc compatible malloc
-configure:5508: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-configure:5511: $? = 0
-configure:5517: ./conftest
-configure:5520: $? = 0
-configure:5536: result: yes
-configure:5568: checking for gettimeofday
-configure:5624: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-configure:5630: $? = 0
-configure:5648: result: yes
-configure:5662: checking for gethrtime
-configure:5718: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-Undefined symbols:
- "_gethrtime", referenced from:
- _main in cctntCCQ.o
-ld: symbol(s) not found
-collect2: ld returned 1 exit status
-configure:5724: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define STDC_HEADERS 1
-| #define HAVE_SYS_TYPES_H 1
-| #define HAVE_SYS_STAT_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_MEMORY_H 1
-| #define HAVE_STRINGS_H 1
-| #define HAVE_INTTYPES_H 1
-| #define HAVE_STDINT_H 1
-| #define HAVE_UNISTD_H 1
-| #define HAVE_FCNTL_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_SYS_TIME_H 1
-| #define HAVE_UNISTD_H 1
-| #define TIME_WITH_SYS_TIME 1
-| #define HAVE_UNION_SEMUN 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_MALLOC 1
-| #define HAVE_GETTIMEOFDAY 1
-| /* end confdefs.h. */
-| /* Define gethrtime to an innocuous variant, in case <limits.h> declares gethrtime.
-| For example, HP-UX 11i <limits.h> declares gettimeofday. */
-| #define gethrtime innocuous_gethrtime
-|
-| /* System header to define __stub macros and hopefully few prototypes,
-| which can conflict with char gethrtime (); below.
-| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-| <limits.h> exists even on freestanding compilers. */
-|
-| #ifdef __STDC__
-| # include <limits.h>
-| #else
-| # include <assert.h>
-| #endif
-|
-| #undef gethrtime
-|
-| /* Override any GCC internal prototype to avoid an error.
-| Use char because int might match the return type of a GCC
-| builtin and then its argument prototype would still apply. */
-| #ifdef __cplusplus
-| extern "C"
-| #endif
-| char gethrtime ();
-| /* The GNU C library defines this for functions which it implements
-| to always fail with ENOSYS. Some functions are actually named
-| something starting with __ and the normal name is an alias. */
-| #if defined __stub_gethrtime || defined __stub___gethrtime
-| choke me
-| #endif
-|
-| int
-| main ()
-| {
-| return gethrtime ();
-| ;
-| return 0;
-| }
-configure:5742: result: no
-configure:5756: checking for mach_timebase_info
-configure:5812: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-configure:5818: $? = 0
-configure:5836: result: yes
-configure:5850: checking for clock_gettime
-configure:5906: gcc -o conftest -O2 -m64 -m64 conftest.c -lpthread -lcurses -lreadline -lpthread -lncurses >&5
-Undefined symbols:
- "_clock_gettime", referenced from:
- _main in ccNGug9A.o
-ld: symbol(s) not found
-collect2: ld returned 1 exit status
-configure:5912: $? = 1
-configure: failed program was:
-| /* confdefs.h. */
-| #define PACKAGE_NAME "FULL-PACKAGE-NAME"
-| #define PACKAGE_TARNAME "full-package-name"
-| #define PACKAGE_VERSION "VERSION"
-| #define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-| #define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-| #define HAVE_LIBNCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define HAVE_LIBREADLINE 1
-| #define HAVE_LIBCURSES 1
-| #define HAVE_LIBPTHREAD 1
-| #define STDC_HEADERS 1
-| #define HAVE_SYS_TYPES_H 1
-| #define HAVE_SYS_STAT_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_MEMORY_H 1
-| #define HAVE_STRINGS_H 1
-| #define HAVE_INTTYPES_H 1
-| #define HAVE_STDINT_H 1
-| #define HAVE_UNISTD_H 1
-| #define HAVE_FCNTL_H 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_STRING_H 1
-| #define HAVE_SYS_TIME_H 1
-| #define HAVE_UNISTD_H 1
-| #define TIME_WITH_SYS_TIME 1
-| #define HAVE_UNION_SEMUN 1
-| #define HAVE_STDLIB_H 1
-| #define HAVE_MALLOC 1
-| #define HAVE_GETTIMEOFDAY 1
-| #define HAVE_MACH_TIMEBASE_INFO 1
-| /* end confdefs.h. */
-| /* Define clock_gettime to an innocuous variant, in case <limits.h> declares clock_gettime.
-| For example, HP-UX 11i <limits.h> declares gettimeofday. */
-| #define clock_gettime innocuous_clock_gettime
-|
-| /* System header to define __stub macros and hopefully few prototypes,
-| which can conflict with char clock_gettime (); below.
-| Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
-| <limits.h> exists even on freestanding compilers. */
-|
-| #ifdef __STDC__
-| # include <limits.h>
-| #else
-| # include <assert.h>
-| #endif
-|
-| #undef clock_gettime
-|
-| /* Override any GCC internal prototype to avoid an error.
-| Use char because int might match the return type of a GCC
-| builtin and then its argument prototype would still apply. */
-| #ifdef __cplusplus
-| extern "C"
-| #endif
-| char clock_gettime ();
-| /* The GNU C library defines this for functions which it implements
-| to always fail with ENOSYS. Some functions are actually named
-| something starting with __ and the normal name is an alias. */
-| #if defined __stub_clock_gettime || defined __stub___clock_gettime
-| choke me
-| #endif
-|
-| int
-| main ()
-| {
-| return clock_gettime ();
-| ;
-| return 0;
-| }
-configure:5930: result: no
-configure:6076: creating ./config.status
-
-## ---------------------- ##
-## Running config.status. ##
-## ---------------------- ##
-
-This file was extended by FULL-PACKAGE-NAME config.status VERSION, which was
-generated by GNU Autoconf 2.61. Invocation command line was
-
- CONFIG_FILES =
- CONFIG_HEADERS =
- CONFIG_LINKS =
- CONFIG_COMMANDS =
- $ ./config.status
-
-on dude.local
-
-config.status:596: creating src/Makefile
-config.status:596: creating samples/Makefile
-config.status:596: creating Makefile
-
-## ---------------- ##
-## Cache variables. ##
-## ---------------- ##
-
-ac_cv_build=i686-apple-darwin9.8.0
-ac_cv_c_compiler_gnu=yes
-ac_cv_c_const=yes
-ac_cv_cxx_compiler_gnu=yes
-ac_cv_env_CCC_set=
-ac_cv_env_CCC_value=
-ac_cv_env_CC_set=
-ac_cv_env_CC_value=
-ac_cv_env_CFLAGS_set=set
-ac_cv_env_CFLAGS_value='-O2 -m64'
-ac_cv_env_CPPFLAGS_set=
-ac_cv_env_CPPFLAGS_value=
-ac_cv_env_CPP_set=
-ac_cv_env_CPP_value=
-ac_cv_env_CXXFLAGS_set=
-ac_cv_env_CXXFLAGS_value=
-ac_cv_env_CXX_set=
-ac_cv_env_CXX_value=
-ac_cv_env_LDFLAGS_set=set
-ac_cv_env_LDFLAGS_value=-m64
-ac_cv_env_LIBS_set=
-ac_cv_env_LIBS_value=
-ac_cv_env_build_alias_set=
-ac_cv_env_build_alias_value=
-ac_cv_env_host_alias_set=
-ac_cv_env_host_alias_value=
-ac_cv_env_target_alias_set=
-ac_cv_env_target_alias_value=
-ac_cv_func_clock_gettime=no
-ac_cv_func_gethrtime=no
-ac_cv_func_gettimeofday=yes
-ac_cv_func_mach_timebase_info=yes
-ac_cv_func_malloc_0_nonnull=yes
-ac_cv_header_crypt_h=no
-ac_cv_header_fcntl_h=yes
-ac_cv_header_inttypes_h=yes
-ac_cv_header_memory_h=yes
-ac_cv_header_stdc=yes
-ac_cv_header_stdint_h=yes
-ac_cv_header_stdlib_h=yes
-ac_cv_header_string_h=yes
-ac_cv_header_strings_h=yes
-ac_cv_header_sys_stat_h=yes
-ac_cv_header_sys_time_h=yes
-ac_cv_header_sys_types_h=yes
-ac_cv_header_time=yes
-ac_cv_header_unistd_h=yes
-ac_cv_host=i686-apple-darwin9.8.0
-ac_cv_lib_crypt_main=no
-ac_cv_lib_curses_main=yes
-ac_cv_lib_history_main=no
-ac_cv_lib_ncurses_main=yes
-ac_cv_lib_nsl_main=no
-ac_cv_lib_pthread_main=yes
-ac_cv_lib_readline_main=yes
-ac_cv_lib_rt_main=no
-ac_cv_lib_socket_main=no
-ac_cv_lib_ws2_32_main=no
-ac_cv_objext=o
-ac_cv_path_EGREP='/usr/bin/grep -E'
-ac_cv_path_GREP=/usr/bin/grep
-ac_cv_path_install='/usr/bin/install -c'
-ac_cv_prog_CPP='gcc -E'
-ac_cv_prog_ac_ct_AR=ar
-ac_cv_prog_ac_ct_CC=gcc
-ac_cv_prog_ac_ct_CXX=g++
-ac_cv_prog_ac_ct_RANLIB=ranlib
-ac_cv_prog_cc_c89=
-ac_cv_prog_cc_g=yes
-ac_cv_prog_cxx_g=yes
-ax_cv_c_flags__mt=no
-
-## ----------------- ##
-## Output variables. ##
-## ----------------- ##
-
-AR='ar'
-CC='gcc'
-CFLAGS='-O2 -m64'
-CPP='gcc -E'
-CPPFLAGS=''
-CXX='g++'
-CXXFLAGS='-g -O2'
-DEFS='-DPACKAGE_NAME=\"FULL-PACKAGE-NAME\" -DPACKAGE_TARNAME=\"full-package-name\" -DPACKAGE_VERSION=\"VERSION\" -DPACKAGE_STRING=\"FULL-PACKAGE-NAME\ VERSION\" -DPACKAGE_BUGREPORT=\"BUG-REPORT-ADDRESS\" -DHAVE_LIBNCURSES=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBREADLINE=1 -DHAVE_LIBCURSES=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_UNION_SEMUN=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MACH_TIMEBASE_INFO=1'
-ECHO_C='ECHO_N=''
-ECHO_T=''
-EGREP='/usr/bin/grep -E'
-EXEEXT=''
-GREP='/usr/bin/grep'
-INSTALL_DATA='${INSTALL} -m 644'
-INSTALL_PROGRAM='${INSTALL}'
-INSTALL_SCRIPT='${INSTALL}'
-LDFLAGS='-m64'
-LIBOBJS=''
-LIBS='-lpthread -lcurses -lreadline -lpthread -lncurses '
-LTLIBOBJS=''
-MINGW32OBJ=''
-OBJEXT='o'
-PACKAGE_BUGREPORT='BUG-REPORT-ADDRESS'
-PACKAGE_NAME='FULL-PACKAGE-NAME'
-PACKAGE_STRING='FULL-PACKAGE-NAME VERSION'
-PACKAGE_TARNAME='full-package-name'
-PACKAGE_VERSION='VERSION'
-PATH_SEPARATOR=':'
-RANLIB='ranlib'
-SHELL='/bin/sh'
-SHLIBOPT='-dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-compatibility_version,1.'
-SHLIBPOSTFIX=''
-ac_ct_CC='gcc'
-ac_ct_CXX='g++'
-bindir='${exec_prefix}/bin'
-build='i686-apple-darwin9.8.0'
-build_alias=''
-build_cpu='i686'
-build_os='darwin9.8.0'
-build_vendor='apple'
-datadir='${datarootdir}'
-datarootdir='${prefix}/share'
-docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
-dvidir='${docdir}'
-exec_prefix='${prefix}'
-host='i686-apple-darwin9.8.0'
-host_alias=''
-host_cpu='i686'
-host_os='darwin9.8.0'
-host_vendor='apple'
-htmldir='${docdir}'
-includedir='${prefix}/include'
-infodir='${datarootdir}/info'
-libdir='${exec_prefix}/lib'
-libexecdir='${exec_prefix}/libexec'
-localedir='${datarootdir}/locale'
-localstatedir='${prefix}/var'
-mandir='${datarootdir}/man'
-oldincludedir='/usr/include'
-pdfdir='${docdir}'
-prefix='/Users/lemke'
-program_transform_name='s,x,x,'
-psdir='${docdir}'
-sbindir='${exec_prefix}/sbin'
-sharedstatedir='${prefix}/com'
-sysconfdir='${prefix}/etc'
-target_alias=''
-
-## ----------- ##
-## confdefs.h. ##
-## ----------- ##
-
-#define PACKAGE_NAME "FULL-PACKAGE-NAME"
-#define PACKAGE_TARNAME "full-package-name"
-#define PACKAGE_VERSION "VERSION"
-#define PACKAGE_STRING "FULL-PACKAGE-NAME VERSION"
-#define PACKAGE_BUGREPORT "BUG-REPORT-ADDRESS"
-#define HAVE_LIBNCURSES 1
-#define HAVE_LIBPTHREAD 1
-#define HAVE_LIBREADLINE 1
-#define HAVE_LIBCURSES 1
-#define HAVE_LIBPTHREAD 1
-#define STDC_HEADERS 1
-#define HAVE_SYS_TYPES_H 1
-#define HAVE_SYS_STAT_H 1
-#define HAVE_STDLIB_H 1
-#define HAVE_STRING_H 1
-#define HAVE_MEMORY_H 1
-#define HAVE_STRINGS_H 1
-#define HAVE_INTTYPES_H 1
-#define HAVE_STDINT_H 1
-#define HAVE_UNISTD_H 1
-#define HAVE_FCNTL_H 1
-#define HAVE_STDLIB_H 1
-#define HAVE_STRING_H 1
-#define HAVE_SYS_TIME_H 1
-#define HAVE_UNISTD_H 1
-#define TIME_WITH_SYS_TIME 1
-#define HAVE_UNION_SEMUN 1
-#define HAVE_STDLIB_H 1
-#define HAVE_MALLOC 1
-#define HAVE_GETTIMEOFDAY 1
-#define HAVE_MACH_TIMEBASE_INFO 1
-
-configure: exit 0
|
[-]
[+]
|
Deleted |
lfc-1.1.41.tar.bz2/config.status
^
|
@@ -1,787 +0,0 @@
-#! /bin/sh
-# Generated by configure.
-# Run this file to recreate the current configuration.
-# Compiler output produced by configure, useful for debugging
-# configure, is in config.log if it exists.
-
-debug=false
-ac_cs_recheck=false
-ac_cs_silent=false
-SHELL=${CONFIG_SHELL-/bin/sh}
-## --------------------- ##
-## M4sh Initialization. ##
-## --------------------- ##
-
-# Be more Bourne compatible
-DUALCASE=1; export DUALCASE # for MKS sh
-if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
- emulate sh
- NULLCMD=:
- # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
- # is contrary to our usage. Disable this feature.
- alias -g '${1+"$@"}'='"$@"'
- setopt NO_GLOB_SUBST
-else
- case `(set -o) 2>/dev/null` in
- *posix*) set -o posix ;;
-esac
-
-fi
-
-
-
-
-# PATH needs CR
-# Avoid depending upon Character Ranges.
-as_cr_letters='abcdefghijklmnopqrstuvwxyz'
-as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
-as_cr_Letters=$as_cr_letters$as_cr_LETTERS
-as_cr_digits='0123456789'
-as_cr_alnum=$as_cr_Letters$as_cr_digits
-
-# The user is always right.
-if test "${PATH_SEPARATOR+set}" != set; then
- echo "#! /bin/sh" >conf$$.sh
- echo "exit 0" >>conf$$.sh
- chmod +x conf$$.sh
- if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
- PATH_SEPARATOR=';'
- else
- PATH_SEPARATOR=:
- fi
- rm -f conf$$.sh
-fi
-
-# Support unset when possible.
-if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
- as_unset=unset
-else
- as_unset=false
-fi
-
-
-# IFS
-# We need space, tab and new line, in precisely that order. Quoting is
-# there to prevent editors from complaining about space-tab.
-# (If _AS_PATH_WALK were called with IFS unset, it would disable word
-# splitting by setting IFS to empty value.)
-as_nl='
-'
-IFS=" "" $as_nl"
-
-# Find who we are. Look in the path if we contain no directory separator.
-case $0 in
- *[\\/]* ) as_myself=$0 ;;
- *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
-for as_dir in $PATH
-do
- IFS=$as_save_IFS
- test -z "$as_dir" && as_dir=.
- test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
-done
-IFS=$as_save_IFS
-
- ;;
-esac
-# We did not find ourselves, most probably we were run as `sh COMMAND'
-# in which case we are not to be found in the path.
-if test "x$as_myself" = x; then
- as_myself=$0
-fi
-if test ! -f "$as_myself"; then
- echo "$as_myself: error: cannot find myself; rerun with an absolute file name" >&2
- { (exit 1); exit 1; }
-fi
-
-# Work around bugs in pre-3.0 UWIN ksh.
-for as_var in ENV MAIL MAILPATH
-do ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
-done
-PS1='$ '
-PS2='> '
-PS4='+ '
-
-# NLS nuisances.
-for as_var in \
- LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
- LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
- LC_TELEPHONE LC_TIME
-do
- if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
- eval $as_var=C; export $as_var
- else
- ($as_unset $as_var) >/dev/null 2>&1 && $as_unset $as_var
- fi
-done
-
-# Required to use basename.
-if expr a : '\(a\)' >/dev/null 2>&1 &&
- test "X`expr 00001 : '.*\(...\)'`" = X001; then
- as_expr=expr
-else
- as_expr=false
-fi
-
-if (basename -- /) >/dev/null 2>&1 && test "X`basename -- / 2>&1`" = "X/"; then
- as_basename=basename
-else
- as_basename=false
-fi
-
-
-# Name of the executable.
-as_me=`$as_basename -- "$0" ||
-$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
- X"$0" : 'X\(//\)$' \| \
- X"$0" : 'X\(/\)' \| . 2>/dev/null ||
-echo X/"$0" |
- sed '/^.*\/\([^/][^/]*\)\/*$/{
- s//\1/
- q
- }
- /^X\/\(\/\/\)$/{
- s//\1/
- q
- }
- /^X\/\(\/\).*/{
- s//\1/
- q
- }
- s/.*/./; q'`
-
-# CDPATH.
-$as_unset CDPATH
-
-
-
- as_lineno_1=$LINENO
- as_lineno_2=$LINENO
- test "x$as_lineno_1" != "x$as_lineno_2" &&
- test "x`expr $as_lineno_1 + 1`" = "x$as_lineno_2" || {
-
- # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
- # uniformly replaced by the line number. The first 'sed' inserts a
- # line-number line after each line using $LINENO; the second 'sed'
- # does the real work. The second script uses 'N' to pair each
- # line-number line with the line containing $LINENO, and appends
- # trailing '-' during substitution so that $LINENO is not a special
- # case at line end.
- # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
- # scripts with optimization help from Paolo Bonzini. Blame Lee
- # E. McMahon (1931-1989) for sed's syntax. :-)
- sed -n '
- p
- /[$]LINENO/=
- ' <$as_myself |
- sed '
- s/[$]LINENO.*/&-/
- t lineno
- b
- :lineno
- N
- :loop
- s/[$]LINENO\([^'$as_cr_alnum'_].*\n\)\(.*\)/\2\1\2/
- t loop
- s/-\n.*//
- ' >$as_me.lineno &&
- chmod +x "$as_me.lineno" ||
- { echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2
- { (exit 1); exit 1; }; }
-
- # Don't try to exec as it changes $[0], causing all sort of problems
- # (the dirname of $[0] is not the place where we might find the
- # original and so on. Autoconf is especially sensitive to this).
- . "./$as_me.lineno"
- # Exit status is that of the last command.
- exit
-}
-
-
-if (as_dir=`dirname -- /` && test "X$as_dir" = X/) >/dev/null 2>&1; then
- as_dirname=dirname
-else
- as_dirname=false
-fi
-
-ECHO_C= ECHO_N= ECHO_T=
-case `echo -n x` in
--n*)
- case `echo 'x\c'` in
- *c*) ECHO_T=' ';; # ECHO_T is single tab character.
- *) ECHO_C='\c';;
- esac;;
-*)
- ECHO_N='-n';;
-esac
-
-if expr a : '\(a\)' >/dev/null 2>&1 &&
- test "X`expr 00001 : '.*\(...\)'`" = X001; then
- as_expr=expr
-else
- as_expr=false
-fi
-
-rm -f conf$$ conf$$.exe conf$$.file
-if test -d conf$$.dir; then
- rm -f conf$$.dir/conf$$.file
-else
- rm -f conf$$.dir
- mkdir conf$$.dir
-fi
-echo >conf$$.file
-if ln -s conf$$.file conf$$ 2>/dev/null; then
- as_ln_s='ln -s'
- # ... but there are two gotchas:
- # 1) On MSYS, both `ln -s file dir' and `ln file dir' fail.
- # 2) DJGPP < 2.04 has no symlinks; `ln -s' creates a wrapper executable.
- # In both cases, we have to default to `cp -p'.
- ln -s conf$$.file conf$$.dir 2>/dev/null && test ! -f conf$$.exe ||
- as_ln_s='cp -p'
-elif ln conf$$.file conf$$ 2>/dev/null; then
- as_ln_s=ln
-else
- as_ln_s='cp -p'
-fi
-rm -f conf$$ conf$$.exe conf$$.dir/conf$$.file conf$$.file
-rmdir conf$$.dir 2>/dev/null
-
-if mkdir -p . 2>/dev/null; then
- as_mkdir_p=:
-else
- test -d ./-p && rmdir ./-p
- as_mkdir_p=false
-fi
-
-if test -x / >/dev/null 2>&1; then
- as_test_x='test -x'
-else
- if ls -dL / >/dev/null 2>&1; then
- as_ls_L_option=L
- else
- as_ls_L_option=
- fi
- as_test_x='
- eval sh -c '\''
- if test -d "$1"; then
- test -d "$1/.";
- else
- case $1 in
- -*)set "./$1";;
- esac;
- case `ls -ld'$as_ls_L_option' "$1" 2>/dev/null` in
- ???[sx]*):;;*)false;;esac;fi
- '\'' sh
- '
-fi
-as_executable_p=$as_test_x
-
-# Sed expression to map a string onto a valid CPP name.
-as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
-
-# Sed expression to map a string onto a valid variable name.
-as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
-
-
-exec 6>&1
-
-# Save the log message, to keep $[0] and so on meaningful, and to
-# report actual input values of CONFIG_FILES etc. instead of their
-# values after options handling.
-ac_log="
-This file was extended by FULL-PACKAGE-NAME $as_me VERSION, which was
-generated by GNU Autoconf 2.61. Invocation command line was
-
- CONFIG_FILES = $CONFIG_FILES
- CONFIG_HEADERS = $CONFIG_HEADERS
- CONFIG_LINKS = $CONFIG_LINKS
- CONFIG_COMMANDS = $CONFIG_COMMANDS
- $ $0 $@
-
-on `(hostname || uname -n) 2>/dev/null | sed 1q`
-"
-
-# Files that config.status was made for.
-config_files=" src/Makefile samples/Makefile Makefile"
-
-ac_cs_usage="\
-\`$as_me' instantiates files from templates according to the
-current configuration.
-
-Usage: $0 [OPTIONS] [FILE]...
-
- -h, --help print this help, then exit
- -V, --version print version number and configuration settings, then exit
- -q, --quiet do not print progress messages
- -d, --debug don't remove temporary files
- --recheck update $as_me by reconfiguring in the same conditions
- --file=FILE[:TEMPLATE]
- instantiate the configuration file FILE
-
-Configuration files:
-$config_files
-
-Report bugs to <bug-autoconf@gnu.org>."
-
-ac_cs_version="\
-FULL-PACKAGE-NAME config.status VERSION
-configured by ./configure, generated by GNU Autoconf 2.61,
- with options \"'--prefix=/Users/lemke' 'CFLAGS=-O2 -m64' 'LDFLAGS=-m64'\"
-
-Copyright (C) 2006 Free Software Foundation, Inc.
-This config.status script is free software; the Free Software Foundation
-gives unlimited permission to copy, distribute and modify it."
-
-ac_pwd='/Users/lemke/work/lfc-1.1.41'
-srcdir='.'
-INSTALL='/usr/bin/install -c'
-# If no file are specified by the user, then we need to provide default
-# value. By we need to know if files were specified by the user.
-ac_need_defaults=:
-while test $# != 0
-do
- case $1 in
- --*=*)
- ac_option=`expr "X$1" : 'X\([^=]*\)='`
- ac_optarg=`expr "X$1" : 'X[^=]*=\(.*\)'`
- ac_shift=:
- ;;
- *)
- ac_option=$1
- ac_optarg=$2
- ac_shift=shift
- ;;
- esac
-
- case $ac_option in
- # Handling of the options.
- -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
- ac_cs_recheck=: ;;
- --version | --versio | --versi | --vers | --ver | --ve | --v | -V )
- echo "$ac_cs_version"; exit ;;
- --debug | --debu | --deb | --de | --d | -d )
- debug=: ;;
- --file | --fil | --fi | --f )
- $ac_shift
- CONFIG_FILES="$CONFIG_FILES $ac_optarg"
- ac_need_defaults=false;;
- --he | --h | --help | --hel | -h )
- echo "$ac_cs_usage"; exit ;;
- -q | -quiet | --quiet | --quie | --qui | --qu | --q \
- | -silent | --silent | --silen | --sile | --sil | --si | --s)
- ac_cs_silent=: ;;
-
- # This is an error.
- -*) { echo "$as_me: error: unrecognized option: $1
-Try \`$0 --help' for more information." >&2
- { (exit 1); exit 1; }; } ;;
-
- *) ac_config_targets="$ac_config_targets $1"
- ac_need_defaults=false ;;
-
- esac
- shift
-done
-
-ac_configure_extra_args=
-
-if $ac_cs_silent; then
- exec 6>/dev/null
- ac_configure_extra_args="$ac_configure_extra_args --silent"
-fi
-
-if $ac_cs_recheck; then
- echo "running CONFIG_SHELL=/bin/sh /bin/sh ./configure " '--prefix=/Users/lemke' 'CFLAGS=-O2 -m64' 'LDFLAGS=-m64' $ac_configure_extra_args " --no-create --no-recursion" >&6
- CONFIG_SHELL=/bin/sh
- export CONFIG_SHELL
- exec /bin/sh "./configure" '--prefix=/Users/lemke' 'CFLAGS=-O2 -m64' 'LDFLAGS=-m64' $ac_configure_extra_args --no-create --no-recursion
-fi
-
-exec 5>>config.log
-{
- echo
- sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
-## Running $as_me. ##
-_ASBOX
- echo "$ac_log"
-} >&5
-
-
-# Handling of arguments.
-for ac_config_target in $ac_config_targets
-do
- case $ac_config_target in
- "src/Makefile") CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
- "samples/Makefile") CONFIG_FILES="$CONFIG_FILES samples/Makefile" ;;
- "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
-
- *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
-echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
- { (exit 1); exit 1; }; };;
- esac
-done
-
-
-# If the user did not use the arguments to specify the items to instantiate,
-# then the envvar interface is used. Set only those that are not.
-# We use the long form for the default assignment because of an extremely
-# bizarre bug on SunOS 4.1.3.
-if $ac_need_defaults; then
- test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
-fi
-
-# Have a temporary directory for convenience. Make it in the build tree
-# simply because there is no reason against having it here, and in addition,
-# creating and moving files from /tmp can sometimes cause problems.
-# Hook for its removal unless debugging.
-# Note that there is a small window in which the directory will not be cleaned:
-# after its creation but before its name has been assigned to `$tmp'.
-$debug ||
-{
- tmp=
- trap 'exit_status=$?
- { test -z "$tmp" || test ! -d "$tmp" || rm -fr "$tmp"; } && exit $exit_status
-' 0
- trap '{ (exit 1); exit 1; }' 1 2 13 15
-}
-# Create a (secure) tmp directory for tmp files.
-
-{
- tmp=`(umask 077 && mktemp -d "./confXXXXXX") 2>/dev/null` &&
- test -n "$tmp" && test -d "$tmp"
-} ||
-{
- tmp=./conf$$-$RANDOM
- (umask 077 && mkdir "$tmp")
-} ||
-{
- echo "$me: cannot create a temporary directory in ." >&2
- { (exit 1); exit 1; }
-}
-
-#
-# Set up the sed scripts for CONFIG_FILES section.
-#
-
-# No need to generate the scripts if there are no CONFIG_FILES.
-# This happens for instance when ./config.status config.h
-if test -n "$CONFIG_FILES"; then
-
-cat >"$tmp/subs-1.sed" <<\CEOF
-/@[a-zA-Z_][a-zA-Z_0-9]*@/!b end
-s,@SHELL@,|#_!!_#|/bin/sh,g
-s,@PATH_SEPARATOR@,|#_!!_#|:,g
-s,@PACKAGE_NAME@,|#_!!_#|FULL-PACKAGE-NAME,g
-s,@PACKAGE_TARNAME@,|#_!!_#|full-package-name,g
-s,@PACKAGE_VERSION@,|#_!!_#|VERSION,g
-s,@PACKAGE_STRING@,|#_!!_#|FULL-PACKAGE-NAME VERSION,g
-s,@PACKAGE_BUGREPORT@,|#_!!_#|BUG-REPORT-ADDRESS,g
-s,@exec_prefix@,|#_!!_#|${prefix},g
-s,@prefix@,|#_!!_#|/Users/lemke,g
-s,@program_transform_name@,|#_!!_#|s\,x\,x\,,g
-s,@bindir@,|#_!!_#|${exec_prefix}/bin,g
-s,@sbindir@,|#_!!_#|${exec_prefix}/sbin,g
-s,@libexecdir@,|#_!!_#|${exec_prefix}/libexec,g
-s,@datarootdir@,|#_!!_#|${prefix}/share,g
-s,@datadir@,|#_!!_#|${datarootdir},g
-s,@sysconfdir@,|#_!!_#|${prefix}/etc,g
-s,@sharedstatedir@,|#_!!_#|${prefix}/com,g
-s,@localstatedir@,|#_!!_#|${prefix}/var,g
-s,@includedir@,|#_!!_#|${prefix}/include,g
-s,@oldincludedir@,|#_!!_#|/usr/include,g
-s,@docdir@,|#_!!_#|${datarootdir}/doc/${PACKAGE_TARNAME},g
-s,@infodir@,|#_!!_#|${datarootdir}/info,g
-s,@htmldir@,|#_!!_#|${docdir},g
-s,@dvidir@,|#_!!_#|${docdir},g
-s,@pdfdir@,|#_!!_#|${docdir},g
-s,@psdir@,|#_!!_#|${docdir},g
-s,@libdir@,|#_!!_#|${exec_prefix}/lib,g
-s,@localedir@,|#_!!_#|${datarootdir}/locale,g
-s,@mandir@,|#_!!_#|${datarootdir}/man,g
-s,@DEFS@,|#_!!_#|-DPACKAGE_NAME=\\"FULL-PACKAGE-NAME\\" -DPACKAGE_TARNAME=\\"full-package-name\\" -DPACKAGE_VERSION=\\"VERSION\\" -DPACKAGE_STRING=\\"FULL-PACKAGE-NAME\\ VERSION\\" -DPACKAGE_BUGREPORT=\\"BUG-REPORT-ADDRESS\\" -DHAVE_LIBNCURSES=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBREADLINE=1 -DHAVE_LIBCURSES=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_UNION_SEMUN=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MACH_TIMEBASE_INFO=1,g
-s,@ECHO_C@,|#_!!_#|\\c,g
-s,@ECHO_N@,|#_!!_#|,g
-s,@ECHO_T@,|#_!!_#|,g
-s,@LIBS@,|#_!!_#|-lpthread -lcurses -lreadline -lpthread -lncurses ,g
-s,@build_alias@,|#_!!_#|,g
-s,@host_alias@,|#_!!_#|,g
-s,@target_alias@,|#_!!_#|,g
-s,@CXX@,|#_!!_#|g++,g
-s,@CXXFLAGS@,|#_!!_#|-g -O2,g
-s,@LDFLAGS@,|#_!!_#|-m64,g
-s,@CPPFLAGS@,|#_!!_#|,g
-s,@ac_ct_CXX@,|#_!!_#|g++,g
-s,@EXEEXT@,|#_!!_#|,g
-s,@OBJEXT@,|#_!!_#|o,g
-s,@CC@,|#_!!_#|gcc,g
-s,@CFLAGS@,|#_!!_#|-O2 -m64,g
-s,@ac_ct_CC@,|#_!!_#|gcc,g
-s,@RANLIB@,|#_!!_#|ranlib,g
-s,@INSTALL_PROGRAM@,|#_!!_#|${INSTALL},g
-s,@INSTALL_SCRIPT@,|#_!!_#|${INSTALL},g
-s,@INSTALL_DATA@,|#_!!_#|${INSTALL} -m 644,g
-s,@build@,|#_!!_#|i686-apple-darwin9.8.0,g
-s,@build_cpu@,|#_!!_#|i686,g
-s,@build_vendor@,|#_!!_#|apple,g
-s,@build_os@,|#_!!_#|darwin9.8.0,g
-s,@host@,|#_!!_#|i686-apple-darwin9.8.0,g
-s,@host_cpu@,|#_!!_#|i686,g
-s,@host_vendor@,|#_!!_#|apple,g
-s,@host_os@,|#_!!_#|darwin9.8.0,g
-s,@MINGW32OBJ@,|#_!!_#|,g
-s,@SHLIBOPT@,|#_!!_#|-dynamiclib -Wl\,-headerpad_max_install_names\,-undefined\,dynamic_lookup\,-compatibility_version\,1.,g
-s,@SHLIBPOSTFIX@,|#_!!_#|,g
-s,@AR@,|#_!!_#|ar,g
-s,@CPP@,|#_!!_#|gcc -E,g
-s,@GREP@,|#_!!_#|/usr/bin/grep,g
-s,@EGREP@,|#_!!_#|/usr/bin/grep -E,g
-s,@LIBOBJS@,|#_!!_#|,g
-s,@LTLIBOBJS@,|#_!!_#|,g
-:end
-s/|#_!!_#|//g
-CEOF
-fi # test -n "$CONFIG_FILES"
-
-
-for ac_tag in :F $CONFIG_FILES
-do
- case $ac_tag in
- :[FHLC]) ac_mode=$ac_tag; continue;;
- esac
- case $ac_mode$ac_tag in
- :[FHL]*:*);;
- :L* | :C*:*) { { echo "$as_me:$LINENO: error: Invalid tag $ac_tag." >&5
-echo "$as_me: error: Invalid tag $ac_tag." >&2;}
- { (exit 1); exit 1; }; };;
- :[FH]-) ac_tag=-:-;;
- :[FH]*) ac_tag=$ac_tag:$ac_tag.in;;
- esac
- ac_save_IFS=$IFS
- IFS=:
- set x $ac_tag
- IFS=$ac_save_IFS
- shift
- ac_file=$1
- shift
-
- case $ac_mode in
- :L) ac_source=$1;;
- :[FH])
- ac_file_inputs=
- for ac_f
- do
- case $ac_f in
- -) ac_f="$tmp/stdin";;
- *) # Look for the file first in the build tree, then in the source tree
- # (if the path is not absolute). The absolute path cannot be DOS-style,
- # because $ac_f cannot contain `:'.
- test -f "$ac_f" ||
- case $ac_f in
- [\\/$]*) false;;
- *) test -f "$srcdir/$ac_f" && ac_f="$srcdir/$ac_f";;
- esac ||
- { { echo "$as_me:$LINENO: error: cannot find input file: $ac_f" >&5
-echo "$as_me: error: cannot find input file: $ac_f" >&2;}
- { (exit 1); exit 1; }; };;
- esac
- ac_file_inputs="$ac_file_inputs $ac_f"
- done
-
- # Let's still pretend it is `configure' which instantiates (i.e., don't
- # use $as_me), people would be surprised to read:
- # /* config.h. Generated by config.status. */
- configure_input="Generated from "`IFS=:
- echo $* | sed 's|^[^:]*/||;s|:[^:]*/|, |g'`" by configure."
- if test x"$ac_file" != x-; then
- configure_input="$ac_file. $configure_input"
- { echo "$as_me:$LINENO: creating $ac_file" >&5
-echo "$as_me: creating $ac_file" >&6;}
- fi
-
- case $ac_tag in
- *:-:* | *:-) cat >"$tmp/stdin";;
- esac
- ;;
- esac
-
- ac_dir=`$as_dirname -- "$ac_file" ||
-$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
- X"$ac_file" : 'X\(//\)[^/]' \| \
- X"$ac_file" : 'X\(//\)$' \| \
- X"$ac_file" : 'X\(/\)' \| . 2>/dev/null ||
-echo X"$ac_file" |
- sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
- s//\1/
- q
- }
- /^X\(\/\/\)[^/].*/{
- s//\1/
- q
- }
- /^X\(\/\/\)$/{
- s//\1/
- q
- }
- /^X\(\/\).*/{
- s//\1/
- q
- }
- s/.*/./; q'`
- { as_dir="$ac_dir"
- case $as_dir in #(
- -*) as_dir=./$as_dir;;
- esac
- test -d "$as_dir" || { $as_mkdir_p && mkdir -p "$as_dir"; } || {
- as_dirs=
- while :; do
- case $as_dir in #(
- *\'*) as_qdir=`echo "$as_dir" | sed "s/'/'\\\\\\\\''/g"`;; #(
- *) as_qdir=$as_dir;;
- esac
- as_dirs="'$as_qdir' $as_dirs"
- as_dir=`$as_dirname -- "$as_dir" ||
-$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
- X"$as_dir" : 'X\(//\)[^/]' \| \
- X"$as_dir" : 'X\(//\)$' \| \
- X"$as_dir" : 'X\(/\)' \| . 2>/dev/null ||
-echo X"$as_dir" |
- sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{
- s//\1/
- q
- }
- /^X\(\/\/\)[^/].*/{
- s//\1/
- q
- }
- /^X\(\/\/\)$/{
- s//\1/
- q
- }
- /^X\(\/\).*/{
- s//\1/
- q
- }
- s/.*/./; q'`
- test -d "$as_dir" && break
- done
- test -z "$as_dirs" || eval "mkdir $as_dirs"
- } || test -d "$as_dir" || { { echo "$as_me:$LINENO: error: cannot create directory $as_dir" >&5
-echo "$as_me: error: cannot create directory $as_dir" >&2;}
- { (exit 1); exit 1; }; }; }
- ac_builddir=.
-
-case "$ac_dir" in
-.) ac_dir_suffix= ac_top_builddir_sub=. ac_top_build_prefix= ;;
-*)
- ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
- # A ".." for each directory in $ac_dir_suffix.
- ac_top_builddir_sub=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,/..,g;s,/,,'`
- case $ac_top_builddir_sub in
- "") ac_top_builddir_sub=. ac_top_build_prefix= ;;
- *) ac_top_build_prefix=$ac_top_builddir_sub/ ;;
- esac ;;
-esac
-ac_abs_top_builddir=$ac_pwd
-ac_abs_builddir=$ac_pwd$ac_dir_suffix
-# for backward compatibility:
-ac_top_builddir=$ac_top_build_prefix
-
-case $srcdir in
- .) # We are building in place.
- ac_srcdir=.
- ac_top_srcdir=$ac_top_builddir_sub
- ac_abs_top_srcdir=$ac_pwd ;;
- [\\/]* | ?:[\\/]* ) # Absolute name.
- ac_srcdir=$srcdir$ac_dir_suffix;
- ac_top_srcdir=$srcdir
- ac_abs_top_srcdir=$srcdir ;;
- *) # Relative name.
- ac_srcdir=$ac_top_build_prefix$srcdir$ac_dir_suffix
- ac_top_srcdir=$ac_top_build_prefix$srcdir
- ac_abs_top_srcdir=$ac_pwd/$srcdir ;;
-esac
-ac_abs_srcdir=$ac_abs_top_srcdir$ac_dir_suffix
-
-
- case $ac_mode in
- :F)
- #
- # CONFIG_FILE
- #
-
- case $INSTALL in
- [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
- *) ac_INSTALL=$ac_top_build_prefix$INSTALL ;;
- esac
-# If the template does not know about datarootdir, expand it.
-# FIXME: This hack should be removed a few years after 2.60.
-ac_datarootdir_hack=; ac_datarootdir_seen=
-
-case `sed -n '/datarootdir/ {
- p
- q
-}
-/@datadir@/p
-/@docdir@/p
-/@infodir@/p
-/@localedir@/p
-/@mandir@/p
-' $ac_file_inputs` in
-*datarootdir*) ac_datarootdir_seen=yes;;
-*@datadir@*|*@docdir@*|*@infodir@*|*@localedir@*|*@mandir@*)
- { echo "$as_me:$LINENO: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&5
-echo "$as_me: WARNING: $ac_file_inputs seems to ignore the --datarootdir setting" >&2;}
- ac_datarootdir_hack='
- s&@datadir@&${datarootdir}&g
- s&@docdir@&${datarootdir}/doc/${PACKAGE_TARNAME}&g
- s&@infodir@&${datarootdir}/info&g
- s&@localedir@&${datarootdir}/locale&g
- s&@mandir@&${datarootdir}/man&g
- s&\${datarootdir}&${prefix}/share&g' ;;
-esac
- sed "/^[ ]*VPATH[ ]*=/{
-s/:*\$(srcdir):*/:/
-s/:*\${srcdir}:*/:/
-s/:*@srcdir@:*/:/
-s/^\([^=]*=[ ]*\):*/\1/
-s/:*$//
-s/^[^=]*=[ ]*$//
-}
-
-:t
-/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
-s&@configure_input@&$configure_input&;t t
-s&@top_builddir@&$ac_top_builddir_sub&;t t
-s&@srcdir@&$ac_srcdir&;t t
-s&@abs_srcdir@&$ac_abs_srcdir&;t t
-s&@top_srcdir@&$ac_top_srcdir&;t t
-s&@abs_top_srcdir@&$ac_abs_top_srcdir&;t t
-s&@builddir@&$ac_builddir&;t t
-s&@abs_builddir@&$ac_abs_builddir&;t t
-s&@abs_top_builddir@&$ac_abs_top_builddir&;t t
-s&@INSTALL@&$ac_INSTALL&;t t
-$ac_datarootdir_hack
-" $ac_file_inputs | sed -f "$tmp/subs-1.sed" >$tmp/out
-
-test -z "$ac_datarootdir_hack$ac_datarootdir_seen" &&
- { ac_out=`sed -n '/\${datarootdir}/p' "$tmp/out"`; test -n "$ac_out"; } &&
- { ac_out=`sed -n '/^[ ]*datarootdir[ ]*:*=/p' "$tmp/out"`; test -z "$ac_out"; } &&
- { echo "$as_me:$LINENO: WARNING: $ac_file contains a reference to the variable \`datarootdir'
-which seems to be undefined. Please make sure it is defined." >&5
-echo "$as_me: WARNING: $ac_file contains a reference to the variable \`datarootdir'
-which seems to be undefined. Please make sure it is defined." >&2;}
-
- rm -f "$tmp/stdin"
- case $ac_file in
- -) cat "$tmp/out"; rm -f "$tmp/out";;
- *) rm -f "$ac_file"; mv "$tmp/out" $ac_file;;
- esac
- ;;
-
-
-
- esac
-
-done # for ac_tag
-
-
-{ (exit 0); exit 0; }
|
[-]
[+]
|
Deleted |
lfc-1.1.41.tar.bz2/src/Makefile
^
|
@@ -1,138 +0,0 @@
-################################################################################
-#
-# makefile.in
-# -----------
-# generic makefile for building base classes
-# this file is used as input for configure
-#
-# by Bjoern Lemke, (C)opyright 2002-2006 by Bjoern Lemke
-#
-#
-################################################################################
-
-CCPLUS = g++
-CC = gcc
-
-LIBS = -lpthread -lcurses -lreadline -lpthread -lncurses
-DEFS = -DPACKAGE_NAME=\"FULL-PACKAGE-NAME\" -DPACKAGE_TARNAME=\"full-package-name\" -DPACKAGE_VERSION=\"VERSION\" -DPACKAGE_STRING=\"FULL-PACKAGE-NAME\ VERSION\" -DPACKAGE_BUGREPORT=\"BUG-REPORT-ADDRESS\" -DHAVE_LIBNCURSES=1 -DHAVE_LIBPTHREAD=1 -DHAVE_LIBREADLINE=1 -DHAVE_LIBCURSES=1 -DHAVE_LIBPTHREAD=1 -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_FCNTL_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_SYS_TIME_H=1 -DHAVE_UNISTD_H=1 -DTIME_WITH_SYS_TIME=1 -DHAVE_UNION_SEMUN=1 -DHAVE_STDLIB_H=1 -DHAVE_MALLOC=1 -DHAVE_GETTIMEOFDAY=1 -DHAVE_MACH_TIMEBASE_INFO=1
-LDFLAGS = -m64
-CFLAGS = -I../ -fPIC -O3 -O2 -m64
-RANLIB = ranlib
-AR = ar
-SHLIBOPT = -dynamiclib -Wl,-headerpad_max_install_names,-undefined,dynamic_lookup,-compatibility_version,1.
-INSTALL = /usr/bin/install -c
-INSTALL_PROGRAM = ${INSTALL}
-INSTALL_DATA = ${INSTALL} -m 644
-
-# Common prefix for installation directories
-PREFIX = /Users/lemke
-BINPREFIX = $(PREFIX)/bin
-MANPREFIX = $(PREFIX)/man
-INCLUDEPREFIX = $(PREFIX)/include/lfc
-LIBPREFIX = $(PREFIX)/lib
-
-.suffixes: .c .cc .o
-
-.c.o:
- $(CC) ${CFLAGS} ${DEFS} -c $<
-
-.cc.o:
- $(CCPLUS) ${CFLAGS} ${DEFS} -c $<
-
-OBJECTS=Version.o Host.o File.o GetOpt.o GetLongOpt.o Net.o NetHandler.o \
- Semaphore.o SharedMemory.o Chain.o \
- Tokenizer.o Thread.o ThreadLock.o Logger.o \
- Timer.o NanoTimer.o Matcher.o SigHandler.o Datetime.o \
- Bitmap.o BigInteger.o BigDecimal.o \
- Crypt.o AESCrypt.o CommandExecuter.o Sleeper.o Process.o Base64Coder.o base64.o
-
-all: liblfc
-
-install:
- if [ ! -d $(DESTDIR)$(INCLUDEPREFIX) ]; then mkdir -m 755 -p $(DESTDIR)$(INCLUDEPREFIX); fi
- if [ ! -d $(DESTDIR)$(LIBPREFIX) ]; then mkdir -m 755 -p $(DESTDIR)$(LIBPREFIX); fi
- $(INSTALL_DATA) Host.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Exception.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) File.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) GetOpt.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) GetLongOpt.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Net.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) NetHandler.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Semaphore.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) SharedMemory.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Chain.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Tokenizer.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Thread.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) ThreadLock.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Logger.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Timer.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) NanoTimer.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Matcher.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) SigHandler.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) ListT.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) SetT.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) StackT.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) TreeT.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Datetime.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Bitmap.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) BigInteger.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) BigDecimal.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Crypt.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) AESCrypt.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) CommandExecuter.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Sleeper.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Process.h $(DESTDIR)$(INCLUDEPREFIX)
- $(INSTALL_DATA) Base64Coder.h $(DESTDIR)$(INCLUDEPREFIX)
- if [ -f regex.o ]; then $(INSTALL_DATA) regex.h $(DESTDIR)$(INCLUDEPREFIX); fi
- $(INSTALL_DATA) liblfc.a $(DESTDIR)$(LIBPREFIX)
- $(INSTALL_DATA) liblfc.so.1 $(DESTDIR)$(LIBPREFIX)
- $(RANLIB) $(DESTDIR)$(LIBPREFIX)/liblfc.a
-
-clean:
- rm -f *.o
- rm -f liblfc.a
- rm -f liblfc.so.1
- rm -f *~
-
-#################
-# Library Build #
-#################
-
-liblfc: $(OBJECTS)
- $(CC) $(LDFLAGS) $(SHLIBOPT) -o liblfc.so.1 $(OBJECTS)
- $(AR) -r liblfc.a $(OBJECTS)
- $(RANLIB) liblfc.a
-
-
-#######################
-# Module Dependencies #
-#######################
-
-Version.o: Version.cc
-Host.o: Host.cc Host.h Chain.h
-Net.o: Net.cc Net.h Chain.h ListT.h
-NetHandler.o: NetHandler.cc NetHandler.h Chain.h ListT.h
-GetOpt.o: GetOpt.cc Exception.h GetOpt.h Chain.h
-GetLongOpt.o: GetLongOpt.cc Exception.h GetLongOpt.h Chain.h
-Chain.o: Chain.cc Chain.h Exception.h
-File.o: File.cc File.h Chain.h Exception.h
-SharedMemory.o: SharedMemory.cc SharedMemory.h Exception.h
-Semaphore.o: Semaphore.cc Semaphore.h Exception.h
-Thread.o: Thread.cc Thread.h Exception.h
-ThreadLock.o: ThreadLock.cc ThreadLock.h Exception.h
-Tokenizer.o: Tokenizer.cc Tokenizer.h Chain.h
-Timer.o: Timer.cc Timer.h Exception.h
-NanoTimer.o: NanoTimer.cc NanoTimer.h Exception.h
-Matcher.o: Matcher.cc Matcher.h Chain.h Exception.h
-Logger.o: Logger.cc Logger.h Datetime.h
-SigHandler.o: SigHandler.cc SigHandler.h Exception.h
-Bitmap.o: Bitmap.cc Bitmap.h Exception.h
-BigInteger.o: BigInteger.cc BigInteger.h Chain.h Exception.h
-BigDecimal.o: BigDecimal.cc BigDecimal.h BigInteger.h Chain.h Exception.h
-Datetime.o: Datetime.cc Datetime.h Chain.h Exception.h
-Crypt.o: Crypt.cc Crypt.h Chain.h
-AESCrypt.o: AESCrypt.cc AESCrypt.h Chain.h
-CommandExecuter.o: CommandExecuter.cc CommandExecuter.h
-Sleeper.o: Sleeper.cc Sleeper.h
-Process.o: Process.cc Process.h
-Base64Coder.o: Base64Coder.cc Base64Coder.h base64.c
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/README
^
|
@@ -4,9 +4,9 @@
------------------------------
A collection of basic c++ classes
- Version 1.1.41
+ Version 1.2.0
- (C)opyright 2005, 2006, 2007, 2008, 2009, 2010, 2011 Bjoern Lemke
+ (C)opyright 2005, 2006, 2007, 2008, 2009, 2010, 2011,2012 Bjoern Lemke
This software comes under the GNU general public license
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/samples/Makefile
^
|
@@ -23,7 +23,7 @@
INSTALL_DATA = ${INSTALL} -m 644
# Common prefix for installation directories
-PREFIX = /Users/lemke
+PREFIX = /usr/local
BINPREFIX = $(PREFIX)/bin
MANPREFIX = $(PREFIX)/man
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/samples/NetClient.cc
^
|
@@ -29,7 +29,7 @@
Net n(1024, 10);
NetHandler* pN;
- pN = n.connect(Chain("localhost"), 2000);
+ pN = n.connect(Chain("localhost"), Chain("4000"));
Chain data("XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX");
@@ -40,9 +40,12 @@
Timer t;
t.start();
+ cout << "Send msg cluster .." << endl;
for ( int j=0; j<msgCluster; j++)
{
- pN->writeMsg();
+ cout << "Write msg .." << endl;
+ pN->writeMsg();
+ cout << "Read msg .." << endl;
pN->readMsg();
}
t.stop();
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/samples/NetServer.cc
^
|
@@ -21,18 +21,24 @@
Net n(1024, 10);
- n.serve(4000);
+ n.serve("localhost", 4000);
NetHandler* pNetHandle;
while ( 1 )
{
- pNetHandle = n.nextRequest(1000);
- if ( pNetHandle->getMsgSize() > 0 ) ;
-
- Chain answer = Chain("this is the answer to XXXX"); // + Chain(pNetHandle->getId());
- pNetHandle->setMsg((char*)answer, answer.length());
- pNetHandle->writeMsg();
+ cout << "In the request loop ..." << endl;
+ pNetHandle = n.nextRequest(700000);
+
+ if ( pNetHandle )
+ {
+ cout << "Next request ..." << endl;
+ if ( pNetHandle->getMsgSize() > 0 ) ;
+
+ Chain answer = Chain("this is the answer to XXXX"); // + Chain(pNetHandle->getId());
+ pNetHandle->setMsg((char*)answer, answer.length());
+ pNetHandle->writeMsg();
+ }
}
}
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/src/Net.cc
^
|
@@ -6,7 +6,7 @@
//
// Design and Implementation by Bjoern Lemke
//
-// (C)opyright 2000-2007 Bjoern Lemke
+// (C)opyright 2000-2012 Bjoern Lemke
//
// This program is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
@@ -47,6 +47,7 @@
#else
#include <sys/types.h>
#include <sys/socket.h>
+#include <sys/socketvar.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
@@ -81,6 +82,7 @@
}
}
+/* OLD style
NetHandler* Net::connect(const Chain& hostname, int port)
{
@@ -223,6 +225,245 @@
}
}
+*/
+
+NetHandler* Net::connect(const Chain& hostname, const Chain& service)
+{
+
+ struct addrinfo hints, *res0, *res;
+ int err;
+ int sock;
+
+ memset(&hints, 0, sizeof(hints));
+ hints.ai_socktype = SOCK_STREAM;
+ hints.ai_family = PF_UNSPEC;
+
+ if ((err = getaddrinfo((char*)hostname, (char*)service, &hints, &res0)) != 0)
+ {
+ Chain msg = Chain("Cannot adr info for ") + hostname;
+ throw Exception(EXLOC, msg);
+ }
+
+ for (res=res0; res!=NULL; res=res->ai_next)
+ {
+ sock = ::socket(res->ai_family, res->ai_socktype, res->ai_protocol);
+ if (sock < 0)
+ {
+ continue;
+ }
+
+ if ( ::connect(sock, res->ai_addr, res->ai_addrlen) != 0)
+ {
+ close(sock);
+ continue;
+ }
+
+ break;
+ }
+
+ freeaddrinfo(res0);
+
+ if (res == NULL)
+ {
+ Chain msg = Chain("Cannot connect to ") + hostname;
+ throw Exception(EXLOC, msg);
+ }
+
+
+
+ NetHandler* pNH = new NetHandler(sock, _msgBufSize, _sizeBufLen);
+ return pNH;
+
+
+}
+
+NetHandler* Net::connect(const Chain& hostname, const Chain& service, int timeout)
+{
+
+
+ struct addrinfo hints, *res0, *res;
+ int err;
+ int sock;
+
+ memset(&hints, 0, sizeof(hints));
+ hints.ai_socktype = SOCK_STREAM;
+ hints.ai_family = PF_UNSPEC;
+
+ if ((err = getaddrinfo((char*)hostname, (char*)service, &hints, &res0)) != 0)
+ {
+ Chain msg = Chain("Cannot get adr info for ") + hostname;
+ throw Exception(EXLOC, msg);
+ }
+
+ for (res=res0; res!=NULL; res=res->ai_next)
+ {
+ sock = ::socket(res->ai_family, res->ai_socktype, res->ai_protocol);
+ if (sock < 0)
+ {
+ continue;
+ }
+
+
+ int opt;
+
+ if ((opt = fcntl(sock, F_GETFL, NULL)) < 0)
+ {
+ Chain msg = Chain("fcntl system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ if (fcntl(sock, F_SETFL, opt | O_NONBLOCK) < 0)
+ {
+ Chain msg = Chain("fcntl system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+
+ if ( ::connect(sock, res->ai_addr, res->ai_addrlen) != 0)
+ {
+
+ if (errno == EINPROGRESS)
+ {
+ fd_set wait_set;
+
+ FD_ZERO(&wait_set);
+ FD_SET(sock, &wait_set);
+
+ struct timeval tv;
+ tv.tv_sec = timeout;
+ tv.tv_usec = 0;
+
+ if ( ::select(sock + 1, NULL, &wait_set, NULL, &tv) < 0 )
+ {
+ Chain msg = Chain("select system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ if (fcntl(sock, F_SETFL, opt) < 0)
+ {
+ Chain msg = Chain("fcntl system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+ }
+ else
+ {
+ close(sock);
+ continue;
+ }
+ }
+
+ break;
+ }
+
+ freeaddrinfo(res0);
+
+ if (res == NULL)
+ {
+ Chain msg = Chain("Cannot connect to ") + hostname;
+ throw Exception(EXLOC, msg);
+ }
+
+ NetHandler* pNH = new NetHandler(sock, _msgBufSize, _sizeBufLen);
+
+ return pNH;
+
+}
+
+void Net::serve(const Chain& hostname, const Chain& service)
+{
+
+ struct addrinfo hints, *res;
+ int err;
+
+ memset(&hints, 0, sizeof(hints));
+ hints.ai_socktype = SOCK_STREAM;
+ hints.ai_family = PF_UNSPEC;
+
+ if ((err = getaddrinfo((char*)hostname, (char*)service, &hints, &res)) != 0)
+ {
+ Chain msg = Chain("Cannot get adr info for ") + hostname + Chain("/") + service;
+ throw Exception(EXLOC, msg);
+ }
+
+ try
+ {
+
+ // struct in6_addr in6addr_any = IN6ADDR_ANY_INIT;
+
+ if ( (_csock=socket(res->ai_family,res->ai_socktype,res->ai_protocol)) == 0)
+ throw Exception(EXLOC, "socket system error");
+
+ int optVal = 1;
+ if ( setsockopt(_csock, SOL_SOCKET, SO_REUSEADDR, &optVal, sizeof(int)) )
+ {
+ Chain msg = Chain("setsockopt system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ /* struct sockaddr_in6 sin6;
+
+ bzero(&sin6, sizeof(struct sockaddr_in6));
+ sin6.sin6_family = AF_INET6;
+ sin6.sin6_port = htons(port);
+ sin6.sin6_addr = in6addr_any;
+ */
+
+ if ( bind(_csock, res->ai_addr, res->ai_addrlen) < 0)
+ {
+ Chain msg = Chain("bind system error on service ") + service + Chain(" : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ if (listen(_csock,3) < 0 )
+ {
+ Chain msg = Chain("listen system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+ }
+ catch ( Exception e )
+ {
+ freeaddrinfo(res);
+ throw e;
+ }
+}
+
+
+void Net::serve(int port)
+{
+
+ struct sockaddr_in sa;
+ int addrlen;
+
+ if ( (_csock=socket(AF_INET,SOCK_STREAM,0)) == 0)
+ throw Exception(EXLOC, "socket system error");
+
+
+ int optVal = 1;
+ if ( setsockopt(_csock, SOL_SOCKET, SO_REUSEADDR, &optVal, sizeof(int)) )
+ {
+ Chain msg = Chain("setsockopt system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ sa.sin_family = AF_INET;
+ sa.sin_addr.s_addr = INADDR_ANY;
+ sa.sin_port = htons(port);
+
+ if ( bind(_csock,(struct sockaddr *)&sa, sizeof(sa)) < 0)
+ {
+ Chain msg = Chain("bind system error on port ") + Chain(port) + Chain(" : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+
+ if (listen(_csock,3) < 0 )
+ {
+ Chain msg = Chain("listen system error : ") + Chain(strerror(errno));
+ throw Exception(EXLOC, msg);
+ }
+}
+
+
+
/* with nextRequest, incoming requests are accepted on a well known port. Further
incoming messages from the partner are handled outside the method ( in a dedicated thread )
*/
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/src/Net.h
^
|
@@ -49,9 +49,10 @@
Net(int msgBufSize, int sizeBufLen);
~Net();
- NetHandler* connect(const Chain& hostname, int port);
- NetHandler* connect(const Chain& hostname, int port, int timeout);
+ NetHandler* connect(const Chain& hostname, const Chain& service);
+ NetHandler* connect(const Chain& hostname, const Chain& service, int timeout);
void serve(int port);
+ void serve(const Chain& hostname, const Chain& service);
NetHandler* nextRequest(int timeout);
void removeHandle(NetHandler *pN);
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/src/NetHandler.cc
^
|
@@ -47,6 +47,7 @@
#include <winsock2.h>
#else
#include <sys/socket.h>
+#include <sys/socketvar.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
|
[-]
[+]
|
Changed |
lfc-1.2.0.tar.bz2/src/Version.cc
^
|
@@ -32,7 +32,7 @@
// Status: IMPLEMENTED
///////////////////////////////////////////////////////////////////////////////
-char __lfcVersionString[] = "1.1.41";
+char __lfcVersionString[] = "1.2.0";
|